%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Summary: A library for text mode user interfaces
Name: newt
Version: 0.52.11
Release: 3%{?dist}
License: LGPLv2
Group: System Environment/Libraries
URL: https://fedorahosted.org/newt/
Source: https://fedorahosted.org/releases/n/e/newt/newt-%{version}.tar.gz
Patch0: newt-0.52.11-nosnacknls.patch
Patch1: newt-0.52.11-customcolors.patch
BuildRequires: popt-devel python-devel slang-devel
BuildRequires: docbook-utils
Provides: snack = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package devel
Summary: Newt windowing toolkit development files
Requires: slang-devel %{name} = %{version}-%{release}
Group: Development/Libraries

# The loader portion of the installer needs to link statically against libnewt,
# so the static library must be shipped.
%package static
Summary: Newt windowing toolkit static library
Requires: %{name}-devel = %{version}-%{release}
Group: Development/Libraries

%Description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package also contains the
shared library needed by programs built with newt, as well as a
/usr/bin/dialog replacement called whiptail.  Newt is based on the
slang library.

%description devel
The newt-devel package contains the header files and libraries
necessary for developing applications which use newt.  Newt is a
development library for text mode user interfaces.  Newt is based on
the slang library.

Install newt-devel if you want to develop applications which will use
newt.

%description static
The newt-static package contains the static version of the newt library.
Install it if you need to link statically with libnewt.

%package python
Summary: Python bindings for newt
Group: Development/Libraries
Requires: newt = %{version}-%{release}

%description python
The newt-python package contains the Python bindings for the newt library
providing a python API for creating text mode ionterfaces. 

%prep
%setup -q
%patch0 -p1 -b .nosnacknls
%patch1 -p1 -b .customcolors

%build
# gpm support seems to smash the stack w/ we use help in anaconda??
# --with-gpm-support
%configure --without-tcl
make %{?_smp_mflags} all
chmod 0644 peanuts.py popcorn.py
docbook2txt tutorial.sgml

%install
rm -rf $RPM_BUILD_ROOT
make instroot=$RPM_BUILD_ROOT install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-,root,root)
%doc COPYING
%{_bindir}/whiptail
%{_libdir}/libnewt.so.*
%{_mandir}/man1/whiptail.1*

%files devel
%defattr (-,root,root)
%doc tutorial.*
%{_includedir}/newt.h
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%files static
%defattr(-,root,root)
%{_libdir}/libnewt.a

%files python
%defattr(-,root,root)
%doc peanuts.py popcorn.py
%{python_sitearch}/*.so
%{python_sitearch}/*.py*


%changelog

